Akonadi information management service is not operational

Bug #1806825 reported by Hank on 2018-12-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kaddressbook (Ubuntu)
Undecided
Unassigned

Bug Description

I installed KAddressbook through the included application manager but when it runs the following error displays: "The Akonadi personal information management service is not operational."

I am running Ubuntu 18.04 Bionic Beaver which I installed and updated today December 4, 2018, so it should have all the current patches installed. Also, I seem to remember a similar problem when I installed kaddressbook in Ubuntu 16.04.

As the message indicates the Akonadi database is not working or so it appears. Apparently, the installation process for Kaddressbook does not take into account all the dependencies. I have been using Synaptic package manager to install Akonadi packages but do not know which Akonadi packages are required.

At the Kaddressbook support site (https://userbase.kde.org/KAddressBook_4.4) it also mentions that Nepomuk must be running.

In short, the application manager should automatically install the necessary dependencies along with the kaddressbook application and it does not.

I will try to update this bug report when I know a work around.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: kaddressbook 4:17.12.3-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-42.45-generic 4.15.18
Uname: Linux 4.15.0-42-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.5
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Wed Dec 5 00:30:33 2018
InstallationDate: Installed on 2018-12-04 (0 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
ProcEnviron:
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: kaddressbook
UpgradeStatus: No upgrade log present (probably fresh install)

Hank (hljandrich) wrote :
Hank (hljandrich) wrote :

I have eliminated the startup error messages by using synaptic package manager to install the following packages and their dependencies. However, the "Action" and "Tools" menus still are not working.

---------------------------
INSTALLED AKONADI PACKAGES:
---------------------------
akonadi-backend-mysql
akonadi-import-wizard
akonadi-server
default-mysql-client-core
kdepim-runtime
libakonadi-kde4

Hank (hljandrich) wrote :

I also used synaptic package manager to install the following nepomuk packages but I am not sure they are necessary.

---------------------------
INSTALLED NEPOMUK PACKAGES:
---------------------------
libbalooqueryparser4
shared-desktop-ontologies

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers